// Parameterliste.h: Schnittstelle fr die Klasse Parameterliste.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARAMETERLISTE_H__7C0B1401_4615_4D0E_AE80_87DA2BAD8F23__INCLUDED_)
#define AFX_PARAMETERLISTE_H__7C0B1401_4615_4D0E_AE80_87DA2BAD8F23__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string.h>

const int MAXPARAMNAME = 80;
const int MAXPARAMWERT = 80;
const int MAXKOMM = 160;
const int MAXZEILE = 400;

class Parameterliste  
{
public:
	Parameterliste();
	virtual ~Parameterliste();
	void loadParam(char* x);
	char* readParameter(char paramname[MAXPARAMNAME]);
	char* getLastParameter();
	char* strOutputParameter(char paramname[MAXPARAMNAME], char* wert /* buffer */);
	char* strOutputParameterNotYet(char* wert /* buffer */);
	void SetParameter(char* paramname, char* paramwert);
private:
	int findParameter(char paramname[MAXPARAMNAME]);
	char* strOutputParameterIntern(int i, char* wert /* buffer */);

	char parametername[MAXPARAMNAME][100];
	char parameterwert[MAXPARAMWERT][100] ;
	char kommentar[MAXKOMM][100] ;
	int used [100];
	int maxparameter;
	int lastparameter;

	//EINSCHRNKUNG: 
	//Es gibt max. 100 Parameter, wobei Name und Wert max. 80 Zeichen, der Kommentar max. 160 Zeichen lang sein darf
};

#endif // !defined(AFX_PARAMETERLISTE_H__7C0B1401_4615_4D0E_AE80_87DA2BAD8F23__INCLUDED_)
