// Frommer.h: Schnittstelle fr die Klasse Frommer.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FROMMER_H__2627D46B_61AE_47AB_97B9_F9008EF79305__INCLUDED_)
#define AFX_FROMMER_H__2627D46B_61AE_47AB_97B9_F9008EF79305__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "polynom.h"
#include "koerper.h"

class Frommer  
{
public:
	Frommer(int m, koerper *kk);
	virtual ~Frommer();
	void setPolynome(polynomxy *pp, polynomxy *qq);
	void setMaxStrudel(int m) {maxStrudel = m;maxGrad = maxStrudel *2 + 3;};
	void init();
	void setKoerper(koerper *kk) {k=kk;};
	void doit(int immerbismaxstrudel);
	zahl getStrudelGroesse(int i);
	int azNullen();
private:
	int maxStrudel;
	int maxGrad;

	polynomxy *p, *q, *A, *B, *dxA, *dyA;
	polynomx *a;

	int aktueller_grad;
	koerper *k;

	void bildeAbleitung();
	void macheCSchritt();
	void macheASchritt();

	zahl* strudelGroessen;
};

#endif // !defined(AFX_FROMMER_H__2627D46B_61AE_47AB_97B9_F9008EF79305__INCLUDED_)
