// Koerper.h: Schnittstelle fr die Klasse Koerper.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KOERPER_H__B6DD0F7F_848A_48AA_91C1_E29A4D2BBCB2__INCLUDED_)
#define AFX_KOERPER_H__B6DD0F7F_848A_48AA_91C1_E29A4D2BBCB2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "zahl.h"

class koerper
{
 public:
	koerper(unsigned short, unsigned short); /* Konstruktor */
	~koerper();

	zahl addiere(zahl, zahl);
	zahl addiere(zahl, zahl, zahl);
	zahl multipliziere(zahl, zahl);
	zahl multipliziere(zahl, zahl, zahl);
	zahl invers(zahl);
	zahl dividiere(zahl, zahl);
	zahl negativ(zahl);
	zahl naechsteZahl (zahl);
 private:
	void initAdd(); /* initialisiert Additionstafel */
	void initMult(); /* initialisiert Multiplikationstafel */
	void initInv(); /* initialisiert Tabelle fr Inverse */

	int getIndex(zahl, zahl); /* gibt den Index in der Multiplikations- bzw. Additionstabelle zurck */

	unsigned short anzahl;
	unsigned short epsilon;
	zahl *additionstafel;
	zahl *multiplikationstafel;
	zahl *inverses;

	void zahlOK(zahl*); //bildet Zahl in diesem Krper ab
};

#endif // !defined(AFX_KOERPER_H__B6DD0F7F_848A_48AA_91C1_E29A4D2BBCB2__INCLUDED_)
