// polynom.cpp: Implementierung der Klasse polynom.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "polynom.h"
#include <stdlib.h>
#include <iostream.h>

//////////////////////////////////////////////////////////////////////
// Polynomxy
//////////////////////////////////////////////////////////////////////

polynomxy::polynomxy(int gr)
{
	grad = gr;
	koeff  = (zahl*)malloc(sizeof(zahl)*(grad+1)*(grad+1));
	int i;
	int j;
	for (i=0; i<=grad; i++)
		for (j=0; j<=grad; j++)
			SetKoeff(i,j,0);
}

polynomxy::~polynomxy()
{
	free(koeff);
}

void polynomxy::SetKoeff(int x_exp, int y_exp, zahl wert)
{
	koeff[x_exp*(grad+1)+y_exp] = wert;
}

zahl polynomxy::GetKoeff(int x_exp, int y_exp)
{
	if (x_exp + y_exp>grad)
		return(0);
	else
		return (koeff[x_exp*(grad+1)+y_exp]);
}

void polynomxy::ausgeben()
{
	//produziert einen Ausgebestring nach cout
	int i, j;
	zahl z;
	for (i=0; i<=grad; i++)
		for(j=0; j<=i; j++)
		{
			z =GetKoeff(i-j, j); 
			if ((z.x!=0) || (z.eps != 0))
				cout << "(" << z.x << "," << z.eps <<")" << "x^" << i-j << "y^" << j << " + ";
		}
}

void polynomxy::Output(ofstream *datei, int grad, int mitKomma)
{
	int j;
	zahl z;

	(*datei) << "{";
	for(j=0; j<=grad; j++)
		{
			z =GetKoeff(grad-j, j); 
			(*datei) << z.eps <<"*e+" << z.x << " ";
			if (j<grad)
				(*datei) << ", ";
		}

	(*datei) << "} ";
	if (mitKomma==1) (*datei) << ", ";
	(*datei) << "	-- ";

	for(j=0; j<=grad; j++)
	{
		z =GetKoeff(grad-j, j); 
		(*datei) << "(" << z.x << "+" << z.eps <<"*e) x^" << grad-j << "y^" << j;
		if (j<grad)
			(*datei) << " + ";
	}


	(*datei) << endl;
}
///////////////////////////////////////////////////////////////////
// polynomx
///////////////////////////////////////////////////////////////////

polynomx::polynomx(int gr)
{
	grad = gr;
	koeff  = (zahl*)malloc(sizeof(zahl)*(grad+1));
	int i;
	for (i=0; i<=grad; i++)
		SetKoeff(i,0);
}

polynomx::~polynomx()
{
	free(koeff);
}

void polynomx::SetKoeff(int x_exp, zahl wert)
{
	koeff[x_exp] = wert;
}

zahl polynomx::GetKoeff(int x_exp)
{
	if (x_exp > grad)
		return(0);
	else
		return (koeff[x_exp]);
}

